package cn.iocoder.yudao.module.delivery.entity;

import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/*
 客户分析结果
 lanbm 2024-04-02 add
 字段值名称首字母要小写，字段中不能含有下划线
 */
@ApiModel("管理后台-客户分析报表结果")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CustomerAnalysisResp {

    /*
     排名编号
     */
    private  int px;

    /*
     客户编号
     */
    private String number;
    private String id;

    /*
     客户姓名
     */
    private String name;

    /*
     客户经理姓名
     */
    private String salesman;

    /*
     客户经理所在的部门
     */
    private String deptid;

    /*
    部门名称
     */
    private String deptname;

    /*
    客户经理ID
    customer_service 客户表中的跟进客服
     */
    private String salesmanid;

    /*
     总值，海运拼柜，专线空运
     */
    private BigDecimal allsumvolume;
    /*
     总值同比
     */
    private BigDecimal allsumvolumeTb;

    /*
      总V值同比显示信息
     */
    private String allsumvolumeTbShow;

    /*
     海运拼柜
     */
    private BigDecimal sumvolume1;
    private BigDecimal sumvolumeV1;
    private BigDecimal sumvolumeTb1;
    private BigDecimal sumvolumeTbV1;
    /*
     海运拼柜占比
     */
    private String seaZb;
    /*
     海运同比显示
     */
    private String sumvolumeTbShow1;

    /*
    专线空运
     */
    private BigDecimal sumweight3;
    private BigDecimal sumweightV3;
    private BigDecimal sumweightTb3;
    private BigDecimal sumweightTbV3;

    /*
    空运占比
     */
    private String airZb;
    /*
     空运同步显示
     */
    private String sumweightTbShow3;

    /*
    月均
     */
    private String monthAvg;
    private String monthAvgTb;

    /*
     月均同比
     */
    private String monthAvgTbShow;

    /*
     海运月均方数
     */
    private String seaMonthAvg;
    private BigDecimal seaMonthAvgZ;

    /*
     海运月均方数同比
     */
    private String seaMonthAvgTb;
    private BigDecimal seaMonthAvgTbZ;

    /*
     空运月均重量
     */
    private String airMothAvg;
    private BigDecimal airMothAvgZ;//数值

    /*
     空运月均同比
     */
    private String airMothAvgTb;//显示字符串
    private BigDecimal airMothAvgTbZ;//数值
    /*
     重货总V值
     */
    private BigDecimal weightSumV;

    /*
     重货占比
     */
    private String weithtSumZb;

    /*
     泡货总V值
     */
    private BigDecimal phSumV;

    /*
     泡货占比
     */
    private String phSumZb;

    /*
    控货总V值
     */
    private BigDecimal khSumV;

    /*
    控货总占比
     */
    private String khSumZb;

    /*
     是否首次成交
     */
    private String isFirst;

    /*
     首次成交时间
     */
    private String firstDate;


    /*
     入库总箱数
     */
    private int chargequantity;
    /*
      提货数
     */
    private int pickquantity;
    /*
     提货率
     */
    private String thL;

    /*
     客户业绩类型
     是否新客户:1是新客户,0是老客户
     */
    private String cusYjType;

    /*
    客户来源
     */
    private String source;
    /*
        客户来源名称
        */
    private  String sourcename;

    /*
   客户国家
    */
    private String country;
    private int countryID;


    /*
    客户角色
    */
    private String customerrole;
    /*
     对应数据字典中的客户类别 type
     */
    private String type;


    /*
    客户创建日期
     */
    private String createtime;


}
