package cn.iocoder.yudao.module.delivery.entity;

import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/*
 销售分析查询结果 lanbm 2024-04-02
 */
@ApiModel("管理后台-销售分析报表结果")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SalesAnalysisResp {

    /*
     排名编号
     */
    private int px;

    /*
     订单ID
     */
    private String orderId;

    /*
     订单编号
     */
    private String orderNo;

    /*
    提单号
     */
    private String tidanNo;

    /*
     订单发货人编号
     */
    private String orderConsignorName;

    /*
     订单发货人客户ID,用户链接
     */
    private String orderConsignorCusId;


    /*
     订单收货人名称
     */
    private String orderConsigneeName;

    /*
     订单收货人客户编号，用于链接
     */
    private String orderConsigneeCusId;

    /*
     发货人编号
     */
    private String fhNumber;
    private long cfCustomerId;

    /*
     收货人编号
     */
    private String shNumber;
    private long shCustomerId;

    /*
     资源类型 lanbm 2024-04-29 add
     */
    private String cfResourceType;//发货人资源类型
    private String shResourceType;//收货人资源类型
    private String showResourceType;//显示资源类型，根据付款方来做逻辑判断

    /*
     业绩类型 新客户，老客户 lanbm 2024-04-29 add
     */
    private String cfYeJiType;//收货人业绩类型
    private String shYeJitype;//发货人业绩类型
    private String showYeJiType;

    /*
     客户经理
     */
    private String salesmanid;
    private String salesmanidName;

    /*
     订单状态
     */
    private String status;
    private String statusName;

    /*
     运输方式
     */
    private String transportId;
    private String transportIdName;

    /*
    始发仓
     */
    private String startwarehousename;

    /*
     目的国
     */
    private String muDiGuo;

    /*
    目的城市
     */
    private String muDiShi;

    /*
    目的仓
     */
    private String dstwarehousename;

    /*
    渠道
     */
    private String channelid;
    private String channelidName;

    /*
    唛头
     */
    private String marks;

    /*
     入仓箱数
     */
    private int sumquantity;
    /*
     提货箱数
     */
    private int picknum;

    /*
     根据入库箱数和提货箱数计算出的提货率
     */
    private String showThl;

    /*
     入仓体积
     */
    private String sumvolume;

    /*
     入仓重量
     */
    private String sumweight;


    /*
     是否控货
     */
    private String iscargocontrol;

    /*
    	订单类型：1 普货 2 重货 3 泡货
     */
    private int ordertype;
    private String ordertypeShow;

    /*
    创建时间
     */
    private String createtime;

    /*
    业绩产生时间
     */
    private String businesstime;

    /*
    付款方
    付款人：1 发货人 2 收货人 3 自定义
     */
    private String drawee;
    /*
     付款方显示字段
     */
    private String draweeName;

    /*
    计算使用的重货标准基数
     */
    private String useweightunit;

    /*
    计算使用的泡货标准基数
     */
    private String usevolumeunit;

    private String zpUnitShow;

    /*
     首次入仓时间
     */
    private String firstInTime;



}
