package cn.iocoder.yudao.module.delivery.listener;

import cn.iocoder.yudao.framework.apollo.core.event.Customer.CalculateCustomerTypeEvent;
import cn.iocoder.yudao.module.customer.service.customer.CustomerService;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.context.event.EventListener;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/*
 lanbm 2024-05-07 add
 */
@Component("CalculateCustomerType")
@AllArgsConstructor
@Slf4j
public class CalculateCustomerType {
    //监听公海捞取事件，计算客户是新客户类型还是老客户类型，此字段用户计算订单业绩类型
    @Resource
    private CustomerService customerService;

    /**
     * 客户捞取监听事件 lanbm 2024-05-07 add
     * @param event
     */
    @EventListener(CalculateCustomerTypeEvent.class)
    public void CalculateCustomerTypePushEvent(
            CalculateCustomerTypeEvent event) {
        if (event.getNewCustomerService() == event.getOldCustomerService()) {
            //新客户经理和老客户经理是同一客户经理
            //继续判断有无成交记录
            //有成交记录  客户业绩类型=老客户
            //没成交记录  客户业绩类型=新客户
            boolean bR = isHaving_TransactionRecords(event);
            if (bR == true) {
                //有成交记录
                customerService.updateCustomerNewOrOld(event.getCustomerId(),
                        false);
            } else {
                //无成交记录
                customerService.updateCustomerNewOrOld(event.getCustomerId(),
                        true);
            }
        } else {
            //新客户经理和老客户经理不是同一客户经理
            //客户业绩类型=新客户
            customerService.updateCustomerNewOrOld(event.getCustomerId(), true);
        }
    }

    /*
     通过客户状态来判断有无成交记录
     1.线索2.意向3.成交
     */
    private boolean isHaving_TransactionRecords(CalculateCustomerTypeEvent event) {
        if (event.getStatus() == 3)
            return true;
        else
            return false;
    }
}
