package cn.iocoder.yudao.module.delivery.mapper;


import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.delivery.entity.*;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Mapper;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;

import java.util.List;

/**
 * 报表权限(EcwReportPermission)表数据库访问层
 *
 * @author lanbm
 * @since 2024-04-09 23:10:40
 */
@Mapper
public interface EcwReportPermissionMapper extends BaseMapperX<EcwReportPermission> {

    /*
     简单的单表查询，开发效率高，如果关联多表还是是XML比较好
     lanbm 2024-04-15 add
     */
    default List<EcwReportPermission> selectList(EcwReportPermission QueryReq) {
        return selectList(new LambdaQueryWrapperX<EcwReportPermission>()
                .eqIfPresent(EcwReportPermission::getPermissionFw, QueryReq.getPermissionFw())
        );
    }

    default PageResult<EcwReportPermission> selectPage(EcwReportPermissionPageReq PageReq) {
        return selectPage(PageReq, new LambdaQueryWrapperX<EcwReportPermission>()
                .eqIfPresent(EcwReportPermission::getPermissionFw, PageReq.getPermissionFw())
                .orderByDesc(EcwReportPermission::getUpdateTime)
        );
    }


    /*
   实现物理删除
   lanbm 2024-04-08 add
   */
    int deleteById2(Long id);


    /*
     lanbm 2024-04-15 add
     */
    List<EcwReportPermissionResp> getListPageCustom(EcwReportPermissionPageReq PageReq);

    /*
  获取查询条件的总数
   */
    Long GetCount(EcwReportPermissionPageReq req);

}


