package cn.iocoder.yudao.module.delivery.service;

import cn.iocoder.yudao.module.delivery.entity.EcwReportPermission;
import cn.iocoder.yudao.module.delivery.entity.EcwReportPermissionPageReq;
import cn.iocoder.yudao.module.delivery.entity.EcwReportPermissionResp;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.iocoder.yudao.framework.common.pojo.PageResult;

import java.util.*;
import javax.validation.*;

/**
 * 报表权限(EcwReportPermission)表服务接口
 *
 * @author lanbm
 * @since 2024-04-09 23:10:42
 */
public interface EcwReportPermissionService extends IService<EcwReportPermission> {

    /**
     * 创建测试
     *
     * @param createReq 创建信息
     * @return 编号
     */
    Long create(@Valid EcwReportPermission createReq);

    /**
     * 更新测试
     *
     * @param updateReq 更新信息
     */
    void update(@Valid EcwReportPermission updateReq);

    /**
     * 删除测试
     *
     * @param id 编号
     */
    void delete(Long id);

    /**
     * 获得测试
     *
     * @param id 编号
     * @return 测试
     */
    EcwReportPermission getModel(Long id);

    /**
     * 获得测试列表
     *
     * @param ids 编号
     * @return 测试列表
     */
    List<EcwReportPermission> getQueryList(Collection<Long> ids);


    /**
     * 获得测试列表, 用于 Excel 导出
     *
     * @param query 查询
     * @return 测试列表
     */
    List<EcwReportPermission> selectList(EcwReportPermission query);

    /**
     * 获得测试分页
     *
     * @param page 查询
     * @return 测试分页
     */
    PageResult<EcwReportPermission> getListPage(EcwReportPermissionPageReq page);

    /*
      自定义的分页函数 lanbm 2024-04-15 add
     */
    PageResult<EcwReportPermissionResp> getListPageCustom (EcwReportPermissionPageReq page);

}

