package cn.iocoder.yudao.module.delivery.service;

import cn.iocoder.yudao.module.delivery.entity.EcwVz;
import cn.iocoder.yudao.module.delivery.entity.EcwVzPageReq;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import java.util.*;
import javax.validation.*;

/**
 * V值转换配置参数(EcwVz)表服务接口
 *
 * @author lanbm
 * @since 2024-04-02 22:38:22
 */
public interface EcwVzService  extends IService< EcwVz > {

    /**
     * 创建测试
     * @param createReq 创建信息
     * @return 编号
     */
    Long create(@Valid EcwVz createReq);

    /**
     * 更新测试
     * @param updateReq 更新信息
     */
    void update(@Valid EcwVz updateReq);

    /**
     * 删除测试
     * @param id 编号
     */
    void delete(Long id);

    /**
     * 获得测试
     * @param id 编号
     * @return 测试
     */
    EcwVz getModel(Long id);

    /**
     * 获得测试列表
     * @param ids 编号
     * @return 测试列表
     */
    List<EcwVz> getQueryList(Collection<Long> ids);


   /**
     * 获得测试列表, 用于 Excel 导出
     * @param query 查询
     * @return 测试列表
     */
    List<EcwVz> getQueryList(EcwVz  query);

    /**
     * 获得测试分页
     * @param page 查询
     * @return 测试分页
     */
    PageResult<EcwVz> selectPage(EcwVzPageReq  page);

}

