package cn.iocoder.yudao.module.delivery.service.Impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.delivery.entity.EcwVz;
import cn.iocoder.yudao.module.delivery.entity.EcwVzPageReq;
import cn.iocoder.yudao.module.delivery.mapper.EcwVzMapper;
import cn.iocoder.yudao.module.delivery.service.EcwVzService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.util.*;
import javax.validation.Valid;

/**
 * V值转换配置参数(EcwVz)表服务实现类
 *
 * @author lanbm
 * @since 2024-04-02 22:38:22
 */
@Service("ecwVzService")
public class EcwVzServiceImpl extends ServiceImpl<EcwVzMapper,EcwVz> implements EcwVzService {

   @Autowired
    private EcwVzMapper ecwVzMapper;

  /**
     * 创建测试
     * @param createReq 创建信息
     * @return 编号
     */
  public Long create(@Valid EcwVz createReq)
  {
      ecwVzMapper.insert(createReq);
      return createReq.getId();
  }

    /**
     * 更新测试
     * @param updateReq 更新信息
     */
   public void update(@Valid EcwVz updateReq)
   {
       ecwVzMapper.updateById(updateReq);
   }

    /**
     * 删除测试
     * @param id 编号
     */
   public void delete(Long id)
   {
     ecwVzMapper.deleteById2(id);
   }

    /**
     * 获得测试
     * @param id 编号
     * @return 测试
     */
 public  EcwVz getModel(Long id)
 {
     return ecwVzMapper.selectById(id);
 }

    /**
     * 获得测试列表
     * @param ids 编号
     * @return 测试列表
     */
   public List<EcwVz> getQueryList(Collection<Long> ids)
   {
       return ecwVzMapper.  selectBatchIds(ids);
   }

    /**
     * 获得测试列表, 用于 Excel 导出
     * @param query 查询
     * @return 列表
     */
   public List<EcwVz> getQueryList(EcwVz query)
   {
      return ecwVzMapper. selectList(query);
   }

    /**
     * 获得测试分页
     * @param page 分页查询
     * @param page 查询
     * @return 分页列表
     */
   public  PageResult<EcwVz> selectPage(EcwVzPageReq  page)
   {
      return ecwVzMapper.selectPage(page);
   }




}

